Skip to content

Lists supported active Direct Definitions where the caller has Creator.

GET
/api/workspace/tasks/runtime/create-options
curl --request GET \
--url https://example.com/api/workspace/tasks/runtime/create-options \
--header 'Authorization: Bearer <token>'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data
object
Definitions
Array<object>
nullable
object
Id
string
nullable
Name
string
nullable
SubjectMode
integer format: int32
Allowed values: 0 1 2
ResponsibleRequiredOnCreate
boolean
DefaultOwner

A permitted participant identity. A null label never implies an unassigned participant.

object
Id
string
nullable
Name
string
nullable
DueDateMode
integer format: int32
Allowed values: 0 1 2
Context

Admitted Context definitions with their current family labels.

object
Required
boolean
Definitions
Array<object>
nullable

One admitted Context definition with its current display and family labels.

object
ModuleKey
string
nullable
ResourceKind
string
nullable
ContextResourceId
string
nullable
DisplayName
string
nullable
FamilyName
string
nullable
Mode
integer format: int32
Allowed values: 0 1
ManagingResponsible
boolean
QueueIds
Array<string>
nullable
Queues
Array<object>
nullable
object
Id
string
nullable
Name
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Definitions": [
{
"SubjectMode": 0,
"DueDateMode": 0,
"Mode": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}